import sys
import os
from pathlib import Path
from typing import Dict, Any
import requests

modules_paths = ['.', '../../../modules/']
for modules_path in modules_paths:
    if os.path.exists(modules_path):
        sys.path.insert(1, modules_path)

from _add_use_case_scripts.vialog.tables import add_user, add_video, add_change

import network_constants as nc
from security.token_manager import TokenManager

def add_use_case(use_case: str):
    #use_case = "vialog"

    jwt = TokenManager.getInstance().getToken()
    url = f"https://articonf1.itec.aau.at:30420/api/use-cases"
    response = requests.post(
            url,
            verify=False, 
            proxies = { "http":None, "https":None },
            headers = { "Authorization": f"Bearer {jwt}"},
            json = {"name": use_case}
        )
    
    print(url+": "+str(response.content))     

if __name__ == "__main__":
    use_case = "vialog"
    
    # disable ssl warnings :) 
    requests.packages.urllib3.disable_warnings() 

    add_use_case(use_case)
    add_user.main(use_case)
    add_video.main(use_case)
    add_change.main(use_case)